"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addCommas = void 0;

const addCommas = input => {
  const string = input && input.toString() || '';

  if (string.length <= 3) {
    return string;
  }

  const reversed = string.split('').reverse();
  let result = '';
  reversed.forEach((number, index) => {
    const mod = index % 3;

    if (index && !mod) {
      result = number + ',' + result;
    } else {
      result = number + result;
    }
  });
  return result;
};

exports.addCommas = addCommas;